-- Verkaufsgebiete und ihre Verkufer
SELECT TerritoryID, BusinessEntityID AS SalesPersonID, EndDate
  FROM Sales.SalesTerritoryHistory
 ORDER BY TerritoryID

-- Ergebnis
/*
TerritoryID SalesPersonID EndDate
----------- ------------- -----------------------
1           280           2002-10-31 00:00:00.000
1           283           NULL
1           287           NULL
2           275           2002-12-31 00:00:00.000
2           277           NULL
3           275           NULL
3           277           2002-12-31 00:00:00.000
4           276           NULL
4           281           NULL
5           279           NULL
6           278           NULL
6           282           2002-06-30 00:00:00.000
6           285           NULL
7           286           NULL
8           289           NULL
9           290           NULL
10          282           NULL
(17 Zeile(n) betroffen)
*/

-- Verkaufsgebiete mit verschiedenen Verkufern (Rohdaten)
SELECT sth1.TerritoryID      AS [Terr-ID 1],
       sth2.TerritoryID      AS [Terr-ID 2],
       sth1.BusinessEntityID AS [P-ID 1],
       sth2.BusinessEntityID AS [P-ID 2]
  FROM Sales.SalesTerritoryHistory AS sth1 INNER JOIN Sales.SalesTerritoryHistory AS sth2
    ON sth1.TerritoryID = sth2.TerritoryID
 WHERE sth1.BusinessEntityID != sth2.BusinessEntityID
ORDER BY sth1.TerritoryID

-- Ergebnis
/*
Terr-ID 1   Terr-ID 2   P-ID 1      P-ID 2
----------- ----------- ----------- -----------
1           1           283         280
1           1           287         280
1           1           280         287
1           1           283         287
1           1           280         283
1           1           287         283
2           2           275         277
2           2           277         275
3           3           277         275
3           3           275         277
4           4           281         276
4           4           276         281
6           6           278         282
6           6           285         282
6           6           282         278
6           6           285         278
6           6           278         285
6           6           282         285
(18 Zeile(n) betroffen)
*/

-- Verkaufsgebiete mit verschiedenen Verkufern (ohne Duplikate)
SELECT DISTINCT sth1.TerritoryID AS [Terr-ID 1],
                sth1.BusinessEntityID AS [P-ID 1]
  FROM Sales.SalesTerritoryHistory AS sth1 INNER JOIN Sales.SalesTerritoryHistory AS sth2
    ON sth1.TerritoryID = sth2.TerritoryID
 WHERE sth1.BusinessEntityID != sth2.BusinessEntityID
ORDER BY sth1.TerritoryID

-- Ergebnis
/*
Terr-ID 1   P-ID 1
----------- -----------
1           280
1           283
1           287
2           275
2           277
3           275
3           277
4           276
4           281
6           278
6           282
6           285
(12 Zeile(n) betroffen)
*/