
-- Versanddatum von Bestellungen
SELECT DISTINCT ShipDate
  FROM Sales.SalesOrderHeader
 WHERE SalesOrderID BETWEEN 68806 AND 71613

-- Ergebnis
/*
ShipDate
-----------------------
2008-05-05 00:00:00.000
2008-05-02 00:00:00.000
2008-05-28 00:00:00.000
2008-05-16 00:00:00.000
*/

-- Bestellungen mit spterem Versanddatum
-- als in wenigstens einer Zeile der Unterabfrage
SELECT SalesOrderID, ShipDate
  FROM Sales.SalesOrderHeader
 WHERE OrderDate > SOME (SELECT DISTINCT ShipDate
                           FROM Sales.SalesOrderHeader
                          WHERE SalesOrderID BETWEEN 68806 AND 71613)

-- Ergebnis
/*
SalesOrderID ShipDate
------------ -----------------------
69309        2008-05-08 00:00:00.000
69310        2008-05-08 00:00:00.000
69311        2008-05-07 00:00:00.000
69312        2008-05-07 00:00:00.000
*/