-- Kunden und ihre Anzahl an Bestellungen
SELECT c.CustomerID, COUNT(soh.SalesOrderID) AS Orders
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
GROUP BY c.CustomerID
ORDER BY Orders DESC

-- Ergebnis
/*
CustomerID  Orders
----------- -----------
11091       28
11176       28
11185       27
11223       27
*/
-- Top 5 der Kunden mit den meisten Bestellungen
SELECT TOP 5 c.CustomerID, COUNT(soh.SalesOrderID) AS Orders
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
GROUP BY c.CustomerID
ORDER BY Orders DESC

-- Ergebnis
/*
CustomerID  Orders
----------- -----------
11091       28
11176       28
11185       27
11223       27
11200       27
(5 Zeile(n) betroffen)
*/

-- Top 5 der Kunden mit den meisten Bestellungen
SELECT TOP 5 WITH TIES c.CustomerID, COUNT(soh.SalesOrderID) AS Orders
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
GROUP BY c.CustomerID
ORDER BY Orders DESC

-- Ergebnis
/*
CustomerID  Orders
----------- -----------
11091       28
11176       28
11185       27
11223       27
11200       27
11276       27
11277       27
11300       27
11287       27
11262       27
11330       27
11331       27
11711       27
(13 Zeile(n) betroffen)

*/