-- Einfache Aggregate
SELECT c.CustomerID            AS Kunde,
       c.TerritoryID           AS Gebiet,
       YEAR(OrderDate)         AS Jahr,
       COUNT(soh.SalesOrderID) AS Bestellungen
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 GROUP BY c.CustomerID, c.TerritoryID, YEAR(OrderDate)
 ORDER BY Jahr, Gebiet, Bestellungen DESC

-- Ergebnis
/*
Kunde       Gebiet      Jahr        Bestellungen
----------- ----------- ----------- ------------
29690       1           2005        2
29925       1           2005        2
29747       1           2005        2
29773       1           2005        2
*/

-- Bildung von Untersummen
SELECT c.CustomerID            AS Kunde,
       c.TerritoryID           AS Gebiet,
       YEAR(OrderDate)         AS Jahr,
       COUNT(soh.SalesOrderID) AS Bestellungen
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 WHERE c.TerritoryID <= 3
   AND YEAR(OrderDate) <= 2008
   AND c.CustomerID <= 11100
 GROUP BY c.CustomerID, c.TerritoryID, YEAR(OrderDate)
         WITH ROLLUP
 ORDER BY Jahr, Gebiet, Bestellungen DESC

-- Ergebnis
/*
Kunde       Gebiet      Jahr        Bestellungen
----------- ----------- ----------- ------------
NULL        NULL        NULL        17
11084       NULL        NULL        2
11012       NULL        NULL        2
11013       NULL        NULL        2
11014       NULL        NULL        2
11066       NULL        NULL        2
11067       NULL        NULL        2
11063       NULL        NULL        1
11040       NULL        NULL        1
11062       NULL        NULL        1
11021       NULL        NULL        1
11022       NULL        NULL        1
11014       1           NULL        2
11012       1           NULL        2
11013       1           NULL        2
11066       1           NULL        2
11067       1           NULL        2
11084       1           NULL        2
11062       1           NULL        1
11063       1           NULL        1
11022       1           NULL        1
11040       1           NULL        1
11021       1           NULL        1
11014       1           2007        2
11013       1           2007        1
11012       1           2007        1
11021       1           2007        1
11040       1           2007        1
11022       1           2007        1
11062       1           2007        1
11063       1           2007        1
11084       1           2007        1
11066       1           2007        1
11067       1           2008        2
11066       1           2008        1
11084       1           2008        1
11012       1           2008        1
11013       1           2008        1

(38 row(s) affected)

Kunde       Gebiet      Jahr        Bestellungen
----------- ----------- ----------- ------------
NULL        NULL        NULL        17
11084       NULL        NULL        2
11012       NULL        NULL        2
...
11014       1           NULL        2
11012       1           NULL        2
...
11014       1           2007        2
11021       1           2007        1
11012       1           2008        1
11013       1           2008        1

(38 row(s) affected)

*/


-- Bildung von Untersummen
SELECT c.CustomerID            AS Kunde,
       c.TerritoryID           AS Gebiet,
       YEAR(OrderDate)         AS Jahr,
       COUNT(soh.SalesOrderID) AS Bestellungen
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 WHERE c.TerritoryID <= 3
   AND YEAR(OrderDate) <= 2008
   AND c.CustomerID <= 11100
 GROUP BY ROLLUP(c.CustomerID, c.TerritoryID, YEAR(OrderDate))
 ORDER BY Jahr, Gebiet, Bestellungen DESC


 SELECT c.CustomerID            AS Kunde,
       c.TerritoryID           AS Gebiet,
       YEAR(OrderDate)         AS Jahr,
       COUNT(soh.SalesOrderID) AS Bestellungen
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 WHERE c.TerritoryID <= 3
   AND YEAR(OrderDate) <= 2008
   AND c.CustomerID <= 11100
 GROUP BY ROLLUP(c.CustomerID, 
                 (c.TerritoryID, YEAR(OrderDate)))
 ORDER BY Jahr, Gebiet, Bestellungen DESC