-- Einfache Aggregate
SELECT c.CustomerID            AS Kunde,
       c.TerritoryID           AS Gebiet,
       YEAR(OrderDate)         AS Jahr,
       COUNT(soh.SalesOrderID) AS Bestellungen
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 GROUP BY c.CustomerID, c.TerritoryID, YEAR(OrderDate)
 ORDER BY Jahr, Gebiet, Bestellungen DESC

-- Ergebnis
/*
Kunde       Gebiet      Jahr        Bestellungen
----------- ----------- ----------- ------------
344         1           2001        2
218         1           2001        2
401         1           2001        2
73          1           2001        2
*/

-- Bildung von Wrfeln
SELECT c.CustomerID              AS Kunde,
       c.TerritoryID             AS Gebiet,
       YEAR(OrderDate)           AS Jahr,
       COUNT(soh.SalesOrderID)   AS [Best.],
       GROUPING(YEAR(OrderDate)) AS J,
       GROUPING(c.TerritoryID)   AS G,
       GROUPING(c.CustomerID)    AS K
  FROM Sales.Customer AS c INNER JOIN Sales.SalesOrderHeader AS soh
    ON c.CustomerID = soh.CustomerID
 WHERE c.TerritoryID <= 3
   AND YEAR(OrderDate) <= 2008
   AND c.CustomerID IN (11012, 11013)
 GROUP BY ROLLUP(c.CustomerID, (c.TerritoryID, YEAR(OrderDate)))
 ORDER BY Jahr, Gebiet, [Best.] DESC