-- CTE: Grundprinzip
WITH Sales AS (
 SELECT CustomerID      AS Customer,
        TotalDue        AS Turnover,
        TerritoryID     AS Region,
        YEAR(OrderDate) AS Year
   FROM Sales.SalesOrderHeader
)
SELECT Year,
       COUNT(Customer) AS Customers,
       SUM(Turnover) AS Turnover
  FROM Sales
 GROUP BY Year

-- Ergebnis: Innere Abfrage
/*
Customer    Turnover              Region      Year
----------- --------------------- ----------- -----------
29825       23153.2339            5           2005
29672       1457.3288             5           2005
29734       36865.8012            6           2005
29994       32474.9324            6           2005
29565       472.3108              4           2005
...
11500       8.7848                6           2008
11369       66.2779               9           2008
15794       27.614                9           2008
22005       149.6833              9           2008
16710       59.659                9           2008
(31465 row(s) affected)
*/

-- Ergebnis: Gesamtergebnis
/*
Year        Customers   Turnover
----------- ----------- ---------------------
2007        12443       47171489.546
2008        13951       28888197.5082
2005        1379        12693250.6264
2006        3692        34463848.4353
(4 row(s) affected)
*/