-- CTE: Dynamische Audrcke
--  Lokale Variable (Achtung: Semikolon vor WITH)
DECLARE @year int
SET @year = 2005;
-- Dynamische CTE
WITH Sales (Customer, Turnover, Region, Year) AS (
 SELECT CustomerID, TotalDue, TerritoryID, YEAR(OrderDate)
   FROM Sales.SalesOrderHeader
  WHERE YEAR(OrderDate) >= @year
)
SELECT Year, COUNT(Customer) AS Customers, SUM(Turnover) AS Turnover
  FROM Sales
 GROUP BY Year

-- Ergebnis
/*
Year        Customers   Turnover
----------- ----------- ---------------------
2007        12443       47171489.546
2008        13951       28888197.5082
2005        1379        12693250.6264
2006        3692        34463848.4353

(4 row(s) affected)
*/