-- CTE: Mehrfache Referenzen

WITH Sales (Turnover, Region, Year) AS (
 SELECT SUM(TotalDue), TerritoryID, YEAR(OrderDate)
   FROM Sales.SalesOrderHeader
GROUP BY YEAR(OrderDate), TerritoryID
)
SELECT cur.Year, cur.Region, cur.Turnover, prv.Turnover
  FROM Sales AS cur LEFT OUTER JOIN Sales AS prv
    ON cur.Year = prv.Year + 1
   AND cur.Region = prv.Region
 WHERE cur.Region BETWEEN 5 AND 7
 ORDER BY cur.Year

-- Ergebnis
/*
Year        Region      Turnover              Turnover
----------- ----------- --------------------- ---------------------
2005        5           1632139.2545          NULL
2005        6           1866734.9221          NULL
2005        7           199531.723            NULL
2006        7           1535232.896           199531.723
2006        5           3179192.0926          1632139.2545
2006        6           6130230.7354          1866734.9221
2007        7           3815005.2509          1535232.896
2007        5           2742200.428           3179192.0926
2007        6           6964947.2034          6130230.7354
2008        5           1330567.5918          2742200.428
2008        6           3437016.3271          6964947.2034
2008        7           2569979.4761          3815005.2509

(12 row(s) affected)

*/