-- Standardlsung
SELECT YEAR(OrderDate)                    AS Year,
       SUM(TotalDue)                      AS Turnover,
       (SUM(TotalDue) / agg.Turnover)*100 AS "%",
       AVG(TotalDue) - agg.AvgTurnover    AS "/"
  FROM Sales.SalesOrderHeader,
      (SELECT SUM(TotalDue)           AS Turnover, 
              AVG(TotalDue)           AS AvgTurnover
         FROM Sales.SalesOrderHeader) AS agg
 GROUP BY YEAR(OrderDate), agg.Turnover, agg.AvgTurnover
 GO


-- Ergebnis
/*
Year    Turnover         %      /
------- ---------------- ------ -----------
2005    12693250.6264    10.30  5288.6826
2006    34463848.4353    27.97  5418.7417
2007    47171489.546     38.28  -124.989
2008    28888197.5082    23.44  1845.3051
(4 row(s) affected)
*/

-- Einsatz einer CTE
WITH Agg AS
(SELECT SUM(TotalDue)           AS Turnover, 
        AVG(TotalDue)           AS AvgTurnover
   FROM Sales.SalesOrderHeader)
SELECT YEAR(OrderDate)                    AS Year,
       SUM(TotalDue)                      AS Turnover,
       (SUM(TotalDue) / Agg.Turnover)*100 AS "%",
       AVG(TotalDue) - Agg.AvgTurnover    AS "/"
  FROM Sales.SalesOrderHeader, Agg
 GROUP BY YEAR(OrderDate), Agg.Turnover, Agg.AvgTurnover
