-- Aggregate mit OVER() und Partitionen

USE tempdb
GO
IF OBJECT_ID('##Sales') IS NOT NULL
DROP TABLE ##Sales
GO
CREATE TABLE ##Sales (
 CustomerID int,
 [Year]     int,
 [Month]    int,
 OrderDate  date,
 TotalDue   money
)
GO
USE AdventureWorks2012
GO
INSERT INTO ##Sales
 SELECT CustomerID,
        YEAR(OrderDate),
        MONTH(OrderDate),
		rtrim(str(YEAR(OrderDate))) + '/' + ltrim(str(MONTH(OrderDate))) + '/1',
        SUM(TotalDue)
   FROM Sales.SalesOrderHeader
  GROUP BY CustomerID, 
           YEAR(OrderDate), MONTH(OrderDate)
GO
SELECT * FROM ##Sales

-- Ergebnis
/*
CustomerID  Year    Month   OrderDate  TotalDue
----------- ------- ------- ---------- -------------
11272       2007     7      2007-07-01 2648.6408
14467       2007    11      2007-11-01   44.1779
25517       2008     4      2008-04-01   44.1779
24068       2008     4      2008-04-01 2715.3497
*/