-- Akkumulation
SELECT s1.CustomerID,
       s1.Year  AS Y,
	   s1.Month AS M,
       s1.TotalDue   AS [Sum],
       (SELECT SUM(s2.TotalDue)
          FROM dbo.##Sales AS s2
         WHERE s2.CustomerID = s1.CustomerID
           AND s2.OrderDate <= s1.OrderDate) AS Total
  FROM dbo.##Sales AS s1
 GROUP BY s1.CustomerID, s1.Year, s1.Month, s1.TotalDue, s1.OrderDate
 ORDER BY s1.CustomerID, s1.Year, s1.Month

-- Ergebnis
/*
CustomerID  OrderDate Month           Total
----------- --------- --------------- --------------
11000       2005-7    3756.989        3756.989
11000       2007-11   2770.2682       6527.2572
11000       2007-7    2587.8769       9115.1341
11001       2005-7    3729.364        3729.364
11001       2007-7    2674.0227       6403.3867
11001       2008-6     650.8008       7054.1875
11002       2005-7    3756.989        3756.989
11002       2007-7    2535.964        6292.953
*/


-- Gleitender Durchschnitt und Akkumulation
SELECT s1.CustomerID,
       ltrim(str(s1.[Year])) + '-' + ltrim(str(s1.[Month]))  AS [Date],
       s1.TotalDue                             AS [Sum],
       SUM(s2.TotalDue)                        AS Total,
       AVG(s2.TotalDue)                        AS Avg
  FROM dbo.##Sales AS s1 INNER JOIN dbo.##Sales AS s2
    ON s1.CustomerID = s2.CustomerID
   AND s2.OrderDate <= s1.OrderDate
 GROUP BY s1.CustomerID, 
          ltrim(str(s1.[Year])) + '-' + ltrim(str(s1.[Month])),
		  s1.TotalDue
 ORDER BY s1.CustomerID, 2

-- Ergebnis
/*
CustomerID  Date    Sum        Total      Avg
----------- ------- ---------- ---------- ---------
11030       2005-8  3756.989   3756.989   3756.989
11030       2008-1  2563.589   6320.578   3160.289
11030       2008-5   830.2307  7150.8087  2383.6029
11031       2005-8  3756.989   3756.989   3756.989
11031       2008-1  2566.1194  6323.1084  3161.5542
11031       2008-5   835.7447  7158.8531  2386.2843
*/