-- Analytische Funktionen: ROW_NUMBER
USE tempdb
GO
IF OBJECT_ID('#Sales') IS NOT NULL
 DROP TABLE #Sales
GO
CREATE TABLE #Sales (
 TerritoryID int  NULL,
 Year        int  NULL,
 Turnover    money NULL
)
GO
USE AdventureWorks2012
GO
INSERT INTO #Sales
SELECT TerritoryID,
       YEAR(OrderDate) AS Year,
       SUM(TotalDue)   AS Turnover
  FROM Sales.SalesOrderHeader
 GROUP BY YEAR(OrderDate), TerritoryID
 ORDER BY 1,2
GO
SELECT TerritoryID,
       Year,
       Turnover,
       ROW_NUMBER() OVER (ORDER BY Year) AS [RN-Y],
       ROW_NUMBER() OVER (ORDER BY Year,
                                   TerritoryID) AS [RN-YT],
       ROW_NUMBER() OVER (ORDER BY TerritoryID) AS [RN-T]
 FROM #Sales
ORDER BY Year, TerritoryID

-- Ergebnis
/*
TerritoryID Year  Turnover        RN-Y   RN-YT  RN-T
----------- ----- --------------- ------ ------ -----
1           2005  2361885.5788     1       1      1
2           2005  640271.7476      2       2      8
3           2005  1071338.2383     3       3      9
4           2005  2889892.0399     4       4     16
...
7           2008  2569979.4761    37      37     28
8           2008  2208557.2345    38      38     29
9           2008 3674099.2456     39      39     36
10          2008 2776218.1086     40      40     37
*/