-- Partition auf Basis einer CTE
WITH Sales AS (
 SELECT TerritoryID     AS Region,
        YEAR(OrderDate) AS [Year],
        SUM(TotalDue)   AS Turnover
  FROM Sales.SalesOrderHeader
GROUP BY TerritoryID, YEAR(OrderDate)
)
SELECT Region,
       [Year],
       Turnover,
       ROW_NUMBER() OVER(PARTITION BY [Year] ORDER BY Turnover) AS RN
  FROM Sales
WHERE Region BETWEEN 5 AND 7

-- Partititon
SELECT TerritoryID,
       YEAR(OrderDate) AS [Year],
       SUM(TotalDue)   AS Turnover,
       ROW_NUMBER() OVER(PARTITION BY YEAR(OrderDate)
                         ORDER BY SUM(TotalDue))  AS RN
  FROM Sales.SalesOrderHeader
WHERE TerritoryID BETWEEN 5 AND 7
GROUP BY TerritoryID, YEAR(OrderDate)

-- Ergebnis
/*
Region      Year        Turnover              RN
----------- ----------- --------------------- ----
7           2005        199531.723            1
5           2005        1632139.2545          2
6           2005        1866734.9221          3
7           2006        1535232.896           1
5           2006        3179192.0926          2
6           2006        6130230.7354          3
5           2007        2742200.428           1
7           2007        3815005.2509          2
6           2007        6964947.2034          3
5           2008        1330567.5918          1
7           2008        2569979.4761          2
6           2008        3437016.3271          3

(12 row(s) affected)
*/