SELECT TerritoryID,
       SUM(TotalDue) AS Turnover,
       RANK() OVER (ORDER BY SUM(TotalDue))       AS R,
       DENSE_RANK() OVER (ORDER BY SUM(TotalDue)) AS DR,
       ROW_NUMBER() OVER (ORDER BY SUM(TotalDue)) AS RN
  FROM Sales.SalesOrderHeader
 GROUP BY TerritoryID
ORDER BY SUM(TotalDue)

-- Ergebnis
/*
TerritoryID Turnover              R     DR  RN
----------- --------------------- ----- --- ----
8           5479819.5755          1     1   1
2           7820209.6285          2     2   2
7           8119749.346           3     3   3
10          8574048.7082          4     4   4
5           8884099.3669          5     5   5
3           8913299.2473          6     6   6
9           11814376.0952         7     7   7
1           18061660.371          8     8   8
6           18398929.188          9     9   9
4           27150594.5893         10    10  10
*/
