SELECT TerritoryID,
       SUM(TotalDue) AS Turnover,
       RANK() OVER (ORDER BY SUM(TotalDue))            AS R,
       DENSE_RANK() OVER (ORDER BY SUM(TotalDue) DESC) AS DR,
       ROW_NUMBER() OVER (ORDER BY SUM(TotalDue))      AS RN
  FROM Sales.SalesOrderHeader
 GROUP BY TerritoryID
ORDER BY SUM(TotalDue) DESC

-- Ergebnis
/*
TerritoryID Turnover              R      DR  RN
----------- --------------------- ------ --- ----
4           27150594.5893         10     1   10
6           18398929.188          9      2   9
1           18061660.371          8      3   8
9           11814376.0952         7      4   7
3           8913299.2473          6      5   6
5           8884099.3669          5      6   5
10          8574048.7082          4      7   4
7           8119749.346           3      8   3
2           7820209.6285          2      9   2
8           5479819.5755          1      10  1
*/
