SELECT d.*,
       RANK () OVER (ORDER BY Provinces DESC) AS R,
       DENSE_RANK () OVER (ORDER BY Provinces DESC) AS DR
  FROM (SELECT CountryRegionCode,
               COUNT(StateProvinceCode) AS Provinces, 
               TerritoryID
          FROM Person.StateProvince
         GROUP BY CountryRegionCode, TerritoryID
        HAVING TerritoryID < 5) AS d
 ORDER BY Provinces DESC

-- Ergebnis
/*
CountryRegionCode Provinces   TerritoryID R       DR
----------------- ----------- ----------- ------- ----
US                14          2           1       1
US                14          3           1       1
US                9           1           3       2
US                5           4           4       3
AS                1           1           5       4
*/