-- NTILE
SELECT ProductID,
       ListPrice,
       ProductSubcategoryID,
       CASE NTILE(3) OVER (ORDER BY ListPrice, ProductSubcategoryID)
        WHEN 1 THEN 'niedrig'
        WHEN 2 THEN 'mittel'
        WHEN 3 THEN 'hoch'
       END AS Quantil
  FROM Production.Product
 WHERE ProductID BETWEEN 800 AND 831
   AND ProductSubcategoryID BETWEEN 10 AND 14
 ORDER BY ListPrice, ProductSubcategoryID

-- Ergebnis
/*
ProductID   ListPrice             ProductSubcategoryID Quantil
----------- --------------------- -------------------- -------
805         34,20                 11                   niedrig
806         102,29                11                   niedrig
807         124,73                11                   niedrig
802         148,22                10                   niedrig
803         175,49                10                   mittel
804         229,49                10                   mittel
830         348,76                12                   mittel
831         348,76                12                   hoch
814         348,76                12                   hoch
822         594,83                14                   hoch
(10 Zeile(n) betroffen)
*/