-- Standardfall von PIVOT
WITH Turnover AS (
SELECT YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
)
SELECT [2005], [2006], [2007], [2008]
  FROM Turnover
PIVOT (SUM(TotalDue)
       FOR OrderDate
        IN ([2005], [2006], [2007], [2008])) AS p

-- Ergebnis
/*
2005          2006            2007          2008
------------- --------------- ------------- --------------
12693250.6264 34463848.4353   47171489.546  28888197.5082
*/

-- Aliasnamen
WITH Turnover AS (
SELECT YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
)
SELECT [2007] AS Year1, [2008] AS Year2
  FROM Turnover
PIVOT (SUM(TotalDue)
       FOR OrderDate
        IN ([2007], [2008])) AS p

-- Ergebnis
/*
Year1                 Year2
--------------------- ---------------------
47171489.546          28888197.5082
*/

-- Falsche Lsung fr dynamischen Abruf
WITH Turnover AS (
SELECT YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
)
SELECT (SELECT DISTINCT OrderDate FROM Turnover)
  FROM Turnover
PIVOT (SUM(TotalDue)
       FOR OrderDate
        IN ((SELECT DISTINCT OrderDate FROM Turnover))) AS p