-- Standardfall von UNPIVOT
WITH Turnover AS (
SELECT YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
),
[Pivot] AS (
SELECT [2005], [2006], [2007], [2008]
  FROM Turnover
 PIVOT (SUM(TotalDue)
        FOR OrderDate
        IN ([2005], [2006], [2007], [2008])) AS p
)
SELECT OrderDate, TotalDue
  FROM [Pivot]
  UNPIVOT (TotalDue
           FOR OrderDate
           IN ([2005], [2006], [2007], [2008])) AS p

-- Ergebnis
/*
OrderDate     TotalDue
------------- -----------------
2005          12693250.6264
2006          34463848.4353
2007          47171489.546
2008          28888197.5082

*/