-- Kreuztabelle
WITH Turnover AS (
SELECT TerritoryID     AS Region,
       YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
),
[Pivot] AS (
SELECT Region, [2007], [2008]
  FROM Turnover
PIVOT (SUM(TotalDue)
       FOR OrderDate
        IN ([2007], [2008])) AS p
)
-- SELECT * FROM [Pivot]
SELECT Region, OrderDate, TotalDue
  FROM [Pivot]
  UNPIVOT (TotalDue
           FOR OrderDate
           IN ([2007], [2008])) AS p

-- Ergebnis 1
/*
Region      2007                  2008
----------- --------------------- ---------------
1           6447526.6415          4396271.0475
2           3232129.2477          1192677.1983
3           3389909.2986          1492104.7763
4           9960675.0645          5810706.5024
5           2742200.428           1330567.5918
6           6964947.2034          3437016.3271
7           3815005.2509          2569979.4761
8           2432549.8252          2208557.2345
9           4313294.8365          3674099.2456
10          3873251.7497          2776218.1086
*/

-- Ergebnis 2
/*
Region      OrderDate          TotalDue
------------------------------ ----------------
1           2007               6447526.6415
1           2008               4396271.0475
2           2007               3232129.2477
2           2008               1192677.1983
*/