-- Kreuztabelle
WITH Turnover AS (
SELECT TerritoryID     AS Region,
       YEAR(OrderDate) AS OrderDate,
       TotalDue
  FROM Sales.SalesOrderHeader
),
[Pivot] AS (
SELECT Region, [2007], [2008]
  FROM Turnover
PIVOT (SUM(TotalDue)
       FOR OrderDate
        IN ([2007], [2008])) AS p
)
SELECT Region, SUM(TotalDue) AS Turnover
  FROM [Pivot]
  UNPIVOT (TotalDue
           FOR OrderDate
           IN ([2007], [2008])) AS p
GROUP BY Region

-- Ergebnis 1
/*
Region      Turnover
----------- ---------------------
1           10843797.689
2           4424806.446
3           4882014.0749
4           15771381.5669
5           4072768.0198
6           10401963.5305
7           6384984.727
8           4641107.0597
9           7987394.0821
10          6649469.8583
*/